Package org.eclipse.rdf4j.rio.trig

## Class TriGWriter

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter
  - - org.eclipse.rdf4j.rio.turtle.TurtleWriter
    - - org.eclipse.rdf4j.rio.trig.TriGWriter

- All Implemented Interfaces:
    `CharSink`, `Sink`, `RDFHandler`, `RDFWriter`
  Direct Known Subclasses:
    `TriGStarWriter`

      public class TriGWriter
      extends TurtleWriter

  An extension of `TurtleWriter` that writes RDF documents in TriG format by adding graph scopes to the Turtle document.
  Author:
    Arjohn Kampman

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.rio.turtle.TurtleWriter

      `baseIRI, bufferedStatements, lastWrittenPredicate, lastWrittenSubject, statementClosed, writer`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `namespaceTable, statementConsumer`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TriGWriter​(OutputStream out)` | Creates a new TriGWriter that will write to the supplied OutputStream.
    `TriGWriter​(OutputStream out, ParsedIRI baseIRI)` | Creates a new TriGWriter that will write to the supplied OutputStream.
    `TriGWriter​(Writer writer)` | Creates a new TriGWriter that will write to the supplied Writer.
    `TriGWriter​(Writer writer, ParsedIRI baseIRI)` | Creates a new TriGWriter that will write to the supplied Writer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `closeActiveContext()` |
    `void` | `endRDF()` | Signals the end of the RDF data.
    `RDFFormat` | `getRDFFormat()` | Gets the RDF format that this RDFWriter uses.
    `void` | `startRDF()` | Signals the start of the RDF data.
    `protected void` | `writeNamespace​(String prefix, String name)` |
    `protected void` | `writeStatement​(Resource subj, IRI pred, Value obj, Resource context, boolean canShortenSubject, boolean canShortenObject)` |

    - ### Methods inherited from class org.eclipse.rdf4j.rio.turtle.TurtleWriter

      `closePreviousStatement, consumeStatement, getModelFactory, getSupportedSettings, getWriter, handleComment, handleNamespace, handleStatementInternal, setModelFactory, writeBase, writeBNode, writeBNode, writeCommentLine, writeLiteral, writePredicate, writeResource, writeResource, writeTriple, writeTripleRDFStar, writeURI, writeValue, writeValue`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `checkWritingStarted, getFileFormat, getWriterConfig, handleStatement, isWritingStarted, set, setWriterConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFHandler

      `handleStatement`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFWriter

      `getWriterConfig, set, setWriterConfig`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.io.Sink

      `acceptsFileFormat, getFileFormat`

- - ### Constructor Detail

    - #### TriGWriter

          public TriGWriter​(OutputStream out)

      Creates a new TriGWriter that will write to the supplied OutputStream.
      Parameters:
        `out` - The OutputStream to write the TriG document to.

    - #### TriGWriter

          public TriGWriter​(OutputStream out,
                            ParsedIRI baseIRI)

      Creates a new TriGWriter that will write to the supplied OutputStream.
      Parameters:
        `out` - The OutputStream to write the TriG document to.
        `baseIRI` -

    - #### TriGWriter

          public TriGWriter​(Writer writer)

      Creates a new TriGWriter that will write to the supplied Writer.
      Parameters:
        `writer` - The Writer to write the TriG document to.

    - #### TriGWriter

          public TriGWriter​(Writer writer,
                            ParsedIRI baseIRI)

      Creates a new TriGWriter that will write to the supplied Writer.
      Parameters:
        `writer` - The Writer to write the TriG document to.
        `baseIRI` -

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Description copied from interface: `RDFWriter`
      Gets the RDF format that this RDFWriter uses.
      Specified by:
        `getRDFFormat` in interface `RDFWriter`
      Overrides:
        `getRDFFormat` in class `TurtleWriter`

    - #### startRDF

          public void startRDF()
                        throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the start of the RDF data. This method is called before any data is reported.
      Specified by:
        `startRDF` in interface `RDFHandler`
      Overrides:
        `startRDF` in class `TurtleWriter`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### endRDF

          public void endRDF()
                      throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the end of the RDF data. This method is called when all data has been reported.
      Specified by:
        `endRDF` in interface `RDFHandler`
      Overrides:
        `endRDF` in class `TurtleWriter`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### writeStatement

          protected void writeStatement​(Resource subj,
                                        IRI pred,
                                        Value obj,
                                        Resource context,
                                        boolean canShortenSubject,
                                        boolean canShortenObject)
                                 throws IOException

      Overrides:
        `writeStatement` in class `TurtleWriter`
      Throws:
        `IOException`

    - #### writeNamespace

          protected void writeNamespace​(String prefix,
                                        String name)
                                 throws IOException

      Overrides:
        `writeNamespace` in class `TurtleWriter`
      Throws:
        `IOException`

    - #### closeActiveContext

          protected void closeActiveContext()
                                     throws IOException

      Throws:
        `IOException`